For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integrations
      • POSTReserve a new integration
      • GETList integrations by category
      • GETGet integration credential status
      • POSTInstall Slack integration
      • POSTRotate Slack credentials
      • POSTInstall Telegram integration
      • GETCheck managed Telegram bot availability
      • POSTInitiate managed Telegram bot creation
      • POSTRotate managed Telegram bot token
      • DELCancel managed Telegram bot request
      • POSTConfirm managed Telegram bot rename
      • POSTReject managed Telegram bot rename
      • GETGet managed Telegram bot request status
      • GETList configured integration tools
      • GETList Vectorize configurations
      • POSTCreate Vectorize configuration
      • POSTCreate Vectorize index
      • POSTList Vectorize indexes
      • POSTTest new Vectorize configuration
      • GETGet Vectorize configuration
      • PUTUpdate Vectorize configuration
      • DELDelete Vectorize configuration
      • POSTTest saved Vectorize configuration
      • GETList Weaviate configurations
      • POSTCreate Weaviate configuration
      • POSTTest new Weaviate configuration
      • GETGet Weaviate configuration
      • PUTUpdate Weaviate configuration
      • DELDelete Weaviate configuration
      • POSTList Weaviate collections
      • POSTTest Weaviate connection
      • GETGet integration details
      • POSTSave integration credentials
      • DELDelete integration credentials
      • GETList tools for an integration
      • GETGet an integration tool
Dashboard
LogoLogo
Runtype APIIntegrations

Update Vectorize configuration

PUT
/v1/integrations/vectorize/:id
PUT
/v1/integrations/vectorize/:id
$curl -X PUT https://api.runtype.com/v1/integrations/vectorize/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "indexName": "new-embeddings-index",
> "name": "Updated Vectorize Config"
>}'
1{
2 "vectorizeConfig": {
3 "accountId": "string",
4 "id": "string",
5 "indexName": "string",
6 "name": "string",
7 "createdAt": "string",
8 "timeout": 1.1,
9 "updatedAt": "string"
10 }
11}
Update an existing Cloudflare Vectorize configuration by ID.
Was this page helpful?
Previous

Delete Vectorize configuration

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects an object.
accountIdstringOptional>=10 characters
apiTokenstringOptional>=1 character
indexNamestringOptional>=1 character
namestringOptional1-100 characters
timeoutdoubleOptional1000-120000

Response

Updated Vectorize configuration
vectorizeConfigobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error